com.trendmicro.ds.platform.rest.object.cloud

## Class CloudAccount

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.cloud.CloudAccount

-     public class CloudAccount
      extends java.lang.Object

  A Cloud Account object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CloudAccount()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCloudType()` Gets the type of cloud provider for the account.
    `java.lang.Integer` | `getId()` Gets the internal Id of the cloud account.
    `java.util.Date` | `getLastTimeSynchronized()` Gets the last time the account was synchronized.
    `java.lang.String` | `getName()` Gets the name of the cloud account.
    `void` | `setCloudType(java.lang.String cloudType)` Sets the type of cloud provider for the account.
    `void` | `setId(java.lang.Integer id)` Sets the internal Id of the cloud account.
    `void` | `setLastTimeSynchronized(java.util.Date lastTimeSynchronized)` Sets the last time the account was synchronized.
    `void` | `setName(java.lang.String name)` Sets The name of the cloud account.
    `CloudAccount` | `withCloudType(java.lang.String cloudType)`
    `CloudAccount` | `withId(java.lang.Integer id)`
    `CloudAccount` | `withLastTimeSynchronized(java.util.Date lastTimeSynchronized)`
    `CloudAccount` | `withName(java.lang.String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CloudAccount

          public CloudAccount()

  - ### Method Detail

    - #### getId

          public java.lang.Integer getId()

      Gets the internal Id of the cloud account.
      Returns:
        The internal Id of the cloud account.

    - #### setId

          public void setId(java.lang.Integer id)

      Sets the internal Id of the cloud account.
      Parameters:
        `id` - The internal Id of the cloud account.

    - #### getCloudType

          public java.lang.String getCloudType()

      Gets the type of cloud provider for the account.
      Returns:
        The type of cloud provider for the account.

    - #### setCloudType

          public void setCloudType(java.lang.String cloudType)

      Sets the type of cloud provider for the account.
      Parameters:
        `cloudType` - The type of cloud provider for the account.

    - #### getName

          public java.lang.String getName()

      Gets the name of the cloud account.
      Returns:
        The name of the cloud account.

    - #### setName

          public void setName(java.lang.String name)

      Sets The name of the cloud account.
      Parameters:
        `name` - the name of the cloud account.

    - #### getLastTimeSynchronized

          public java.util.Date getLastTimeSynchronized()

      Gets the last time the account was synchronized.
      Returns:
        The last time the account was synchronized.

    - #### setLastTimeSynchronized

          public void setLastTimeSynchronized(java.util.Date lastTimeSynchronized)

      Sets the last time the account was synchronized.
      Parameters:
        `name` - The last time the account was synchronize

    - #### withId

          public CloudAccount withId(java.lang.Integer id)

      Parameters:
        `id` - The internal Id of the cloud account.
      Returns:
        The updated Cloud Account object.

    - #### withCloudType

          public CloudAccount withCloudType(java.lang.String cloudType)

      Parameters:
        `cloudType` - The type of cloud provider for the account.
      Returns:
        The updated Cloud Account object.

    - #### withName

          public CloudAccount withName(java.lang.String name)

      Parameters:
        `name` - The name of the cloud account.
      Returns:
        The updated Cloud Account object.

    - #### withLastTimeSynchronized

          public CloudAccount withLastTimeSynchronized(java.util.Date lastTimeSynchronized)

      Parameters:
        `lastTimeSynchronized` - The last time the account was synchronized.
      Returns:
        The updated Cloud Account object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.